Home | All Classes | Grouped Classes | Index | Search

# CL_GraphicContext::enable_stencil_write

Enables writing to the stencil buffer

    	void enable_stencil_write(
    		bool enabled, bool visible=true, float alpha_limit=0.1f);

Parameters:

bool enabled
  Enables/disables stencil testing.
bool visible
  Enables/disables color buffer writing if stencil writing is enabled. Default: true.
float alpha_limit
  Only pixels with alpha >= alpha limit are drawn to the stencil buffer. Default: 0.1f

See also:

CL_GraphicContext

Questions or comments, write to the ClanLib mailing list.